\version "2.24.3"


global = {
    \clef "G_8"
    \key d \minor
    \time 3/4
    \set harmonicDots = ##t
    \set Staff.connectArpeggios = ##t
}

 \paper {
%       annotate-spacing = ##t
        print-page-number = ##t
        print-first-page-number = ##t
   %     first-page-number = #1
        page-count = #3
        system-count = #24
       % max-systems-per-page = #9
%        systems-per-page = #9
        min-systems-per-page = #8

        #(set-paper-size "arch a")

        top-margin = 8 \mm
        bottom-margin = 4 \mm
        left-margin = 22 \mm
        right-margin = 22 \mm
        top-system-spacing =
               % #'((basic-distance . 8)
                #'((basic-distance . 12)
                  % (minimum-distance . 6)
                   (minimum-distance . 9)
                   (padding . 0))
%                   (stretchability . 4))

        system-system-spacing =
            #'((basic-distance . 14 )
               (minimum-distance . 12)
               (padding . 4)
               (stretchability . 4))

        ragged-last-bottom = ##f
        ragged-bottom = ##f
%        oddFooterMarkup = \markup \column { \null \null \fromproperty #'header:copyright }
}


%\pointAndClickOff
\pointAndClickOn

\header {

  title = \markup \center-column {
		\fontsize #3.0
		"Vals"
	}

  subtitle = \markup \center-column {
		\null
		\fontsize #2.4
		\italic
		"Opus 8 no 3"
		\null
	}

  composer = \markup \center-column {
	\fontsize #2.0
	 "Agustín Barrios (1885 - 1944)"
		\null
	}

% copyright = \markup \fill-line { \tiny { \line { Steve Shorter (2024). \epsfile #X #10 #'"by-sa.eps" }}}

   tagline = \markup \center-column {
	\fontsize #1.0
	\null
	{ \line { Steve Shorter (2024). \epsfile #X #10 #'"by-sa.eps" }}
	"Music engraving by LilyPond 2.24.3—www.lilypond.org"
    }

  style = "Romantic"
%  meter = "" 
%  opus = 
%  piece = "   " 
%  poet = " " 
  maintainer = "Steve Shorter"
  lastupdated = "2024/Jun"
}

H = \once \override NoteHead.style = #'harmonic-black
N = \override NoteHead.style = #'harmonic
D = \override NoteHead.style = #'default
A = \arpeggio

extendLV = #(define-music-function (parser location further) (number?)
#{
        \once \override LaissezVibrerTie #'X-extent = #'(0 . 0)
        \once \override LaissezVibrerTie #'details #'note-head-gap = #(/ further -2.1)
        \once \override LaissezVibrerTie #'extra-offset = #(cons (/ further 1.6 ) 0)
#})

SUpa =  \shape #'((-0.5 . 3.8)(-0.0 . 4.0)(0.0 . 3.5)(-0.0 . 2.0)) Slur
TUpa =  \shape #'((-0.0 . 0.2)(-0.0 . 0.3)(0.0 . 0.3)(-0.0 . 0.2)) Tie
TDna =  \shape #'((-0.0 . -0.3)(-0.0 . -0.7)(0.0 . -0.7)(-0.0 . -0.3)) Tie
TDnb =  \shape #'((-0.0 . -0.3)(-0.0 . -1.0)(0.0 . -1.0)(-0.0 . -0.3)) Tie

\include "guitar.ly"
\include "coda.ly"

#(set-global-staff-size 20)

\score {
  \new StaffGroup \with {
            \override StaffGrouper.staff-staff-spacing =
                #'((basic-distance . 12)
                   (minimum-distance . 8)
                   (padding . 2))
            }

  \new Staff \with { \consists "Span_arpeggio_engraver" }

	     <<  \global \guitar >>

 \layout {
    \context {
	\Score
%         \override NonMusicalPaperColumn.line-break-permission = ##f
%	 \override NonMusicalPaperColumn.page-break-permission = ##f
    }
  }
 }

\score {
  \new StaffGroup \with {
            \override StaffGrouper.staff-staff-spacing =
                #'((basic-distance . 20)
                   (minimum-distance . 16)
                   (padding . 2))
            }

  \new Staff \with { \consists "Span_arpeggio_engraver" 
		     \override TimeSignature.stencil = ##f
		   }

	     << \global \coda >>

 \layout {
%        top-margin = 10 \mm
%	indent = #0
	system-count = #1
%	ragged-right = ##t
%	line-width = #150
	ragged-last = ##t
    \context {
	\Score
	\override SpacingSpanner.base-shortest-duration = #(ly:make-moment 1/48)
%   \override NonMusicalPaperColumn.line-break-permission = ##f
%	 \override NonMusicalPaperColumn.page-break-permission = ##f
    }
  }
}
