\version "2.24.3"


global = {
    \clef "G_8"
    \key g \major
    \time 3/4
    \set harmonicDots = ##t
    \set Staff.connectArpeggios = ##t
}

\paper {
%       annotate-spacing = ##t
        print-page-number = ##t
        print-first-page-number = ##t
        first-page-number = #1
        page-count = #3
   %     system-count = #35
       % max-systems-per-page = #9
%        systems-per-page = #9

        #(set-paper-size "arch a")

        top-margin = 8 \mm
        bottom-margin = 4 \mm
        left-margin = 22 \mm
        right-margin = 22 \mm
        top-system-spacing =
                #'((basic-distance . 8)
                   (minimum-distance . 6)
                   (padding . 0))
%                   (stretchability . 4))

        system-system-spacing =
            #'((basic-distance . 14 )
               (minimum-distance . 12)
               (padding . 4)
               (stretchability . 4))

        ragged-last-bottom = ##f
        ragged-bottom = ##f
%        oddFooterMarkup = \markup \column { \null \null \fromproperty #'header:copyright }
}


\pointAndClickOff
%\pointAndClickOn

\header {

%  dedication = \markup \center-column {
%	\fontsize #0.6
%	\italic
%	"To my dear and talented student D. Dionisio Basualdo"
%		\null
%	}

  title = \markup \center-column {
		\fontsize #3.0
		"Vals"
		\null
	}

  subtitle = \markup \center-column {
		\fontsize #2.4
		\italic
		"Opus 8 no 4"
	}

  composer = \markup \center-column {
	\fontsize #2.0
	 "Agustín Barrios (1885 - 1944)"
		\null
	}

% copyright = \markup \fill-line { \tiny { \line { Steve Shorter (2024). \epsfile #X #10 #'"by-sa.eps" }}}

   tagline = \markup \center-column {
	\fontsize #1.0
	\null
	{ \line { Steve Shorter (2024). \epsfile #X #10 #'"by-sa.eps" }}
	"Music engraving by LilyPond 2.24.3—www.lilypond.org"
	\null
    }

  style = "Romantic"
%  meter = "" 
%  opus = 
%  piece = "   " 
%  poet = " " 
  maintainer = "Steve Shorter"
  lastupdated = "2024/Jun"

}

H = \once \override NoteHead.style = #'harmonic-black
N = \once \override NoteHead.style = #'harmonic
A = \arpeggio

extendLV = #(define-music-function (parser location further) (number?)
#{
        \once \override LaissezVibrerTie #'X-extent = #'(0 . 0)
        \once \override LaissezVibrerTie #'details #'note-head-gap = #(/ further -2.1)
        \once \override LaissezVibrerTie #'extra-offset = #(cons (/ further 1.6 ) 0)
#})

SUpa =  \shape #'((-0.5 . 3.8)(-0.0 . 4.0)(0.0 . 3.5)(-0.0 . 2.0)) Slur

\include "guitar.ly"
\include "dynamics.ly"
\include "dynamicsa.ly"
\include "coda.ly"

#(set-global-staff-size 20)

\score {
  \new StaffGroup \with {
            \override StaffGrouper.staff-staff-spacing =
                #'((basic-distance . 12)
                   (minimum-distance . 8)
                   (padding . 2))
            }

  \new Staff \with { \consists "Span_arpeggio_engraver" }

	     <<  \global \dynamics \guitar >>

 \layout {
    \context {
	\Score
%         \override NonMusicalPaperColumn.line-break-permission = ##f
	 \override NonMusicalPaperColumn.page-break-permission = ##f
    }
  }
}

\score {
  \new StaffGroup \with {
            \override StaffGrouper.staff-staff-spacing =
                #'((basic-distance . 12)
                   (minimum-distance . 8)
                   (padding . 2))
            }

  \new Staff \with { \consists "Span_arpeggio_engraver" }

	     << \global \dynamicsa \coda >>

 \layout {
%        top-margin = 10 \mm
       ragged-last-bottom = ##f
       ragged-bottom = ##f
       ragged-last = ##f
    \context {
	\Score
%   \override NonMusicalPaperColumn.line-break-permission = ##f
%	 \override NonMusicalPaperColumn.page-break-permission = ##f
    }
  }
}
